Bug 183287 - g-wrap requires executable stack
g-wrap requires executable stack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: g-wrap (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 17:22 EST by kmpalmer@netzero.net
Modified: 2014-03-16 22:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.9.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 22:06:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kmpalmer@netzero.net 2006-02-27 17:22:08 EST
Description of problem: GnuCash fails to launch


Version-Release number of selected component (if applicable): 
gnucash.i386 0:1.8.12-3


How reproducible:
Every time


Steps to Reproduce:
1. attempt to launch gnucash from the command line
2.
3.
  
Actual results:
/usr/share/gnucash/guile-modules/g-wrapped/gw-gnc.scm:8:15: In procedure
dynamic-link in expression (dynamic-link "libgw-gnc"):
/usr/share/gnucash/guile-modules/g-wrapped/gw-gnc.scm:8:15: file: "libgw-gnc",
message: "libgwrap-guile-runtime.so.0: cannot enable executable stack as shared
object requires: Permission denied"

Expected results:
launch gnucash

Additional info:
kernel 2.6.15-1.1955_FC5smp
Comment 1 Bill Nottingham 2006-02-27 17:33:26 EST
What version of the SELinux policy do you have installed? Can you attach the
output of 'dmesg'?
Comment 2 kmpalmer@netzero.net 2006-02-27 17:49:32 EST
SELinux is the default policy

The entire output?  :-)

<snip>
Linux version 2.6.15-1.1955_FC5smp (bhcompile@hs20-bc1-4.build.redhat.com) (gcc
version 4.1.0 20060214 (Red Hat 4.1.0-0.27)) #1 SMP Wed Feb 15 16:01:54 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007fff0000 (usable)
 BIOS-e820: 000000007fff0000 - 000000007ffff000 (ACPI data)
 BIOS-e820: 000000007ffff000 - 0000000080000000 (ACPI NVS)
 BIOS-e820: 00000000ff780000 - 0000000100000000 (reserved)
1151MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000ff780
NX (Execute Disable) protection: active
On node 0 totalpages: 524272
  DMA zone: 4096 pages, LIFO batch:0
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 294896 pages, LIFO batch:31
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP (v002 ACPIAM                                ) @ 0x000f68a0
ACPI: XSDT (v001 A M I  OEMXSDT  0x05000414 MSFT 0x00000097) @ 0x7fff0100
ACPI: FADT (v001 A M I  OEMFACP  0x05000414 MSFT 0x00000097) @ 0x7fff0281
ACPI: MADT (v001 A M I  OEMAPIC  0x05000414 MSFT 0x00000097) @ 0x7fff0380
ACPI: OEMB (v001 A M I  OEMBIOS  0x05000414 MSFT 0x00000097) @ 0x7ffff040
ACPI: SRAT (v001 A M I  OEMSRAT  0x05000414 MSFT 0x00000097) @ 0x7fff3bc0
ACPI: HPET (v001 A M I  OEMHPET  0x05000414 MSFT 0x00000097) @ 0x7fff3cb0
ACPI: ASF! (v001 AMIASF AMDSTRET 0x00000001 INTL 0x02002026) @ 0x7fff3cf0
ACPI: DSDT (v001  0AAAA 0AAAA000 0x00000000 INTL 0x02002026) @ 0x00000000
ACPI: PM-Timer IO Port: 0x5008
ACPI: Local APIC enabled (0).
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:5 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:5 APIC version 16
Overriding APIC driver with bigsmp
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x03] address[0xfc9fe000] gsi_base[24])
IOAPIC[1]: apic_id 3, version 17, address 0xfc9fe000, GSI 24-27
ACPI: IOAPIC (id[0x04] address[0xfc9ff000] gsi_base[28])
IOAPIC[2]: apic_id 4, version 17, address 0xfc9ff000, GSI 28-31
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Physflat.  Using 3 I/O APICs
ACPI: HPET id: 0x102282a0 base: 0xfec01000
LAPIC enabled (0), calling get_smp_config
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 88000000 (gap: 80000000:7f780000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/opt rhgb quiet
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
mapped IOAPIC to ffffb000 (fc9fe000)
mapped IOAPIC to ffffa000 (fc9ff000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c0425000 soft=c0405000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 2068532k/2097088k available (2011k kernel code, 27232k reserved, 845k
data, 208k init, 1179584k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
hpet0: at MMIO 0xfec01000 (virtual 0xf8800000), IRQs 2, 8, 0
hpet0: 3 32-bit timers, 14318180 Hz
Using HPET for base-timer
Using HPET for gettimeofday
Detected 2191.147 MHz processor.
Using hpet for high-res timesource
Calibrating delay using timer specific routine.. 4388.94 BogoMIPS (lpj=8777893)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 078bfbff e1d3fbff 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 078bfbff e1d3fbff 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU: After all inits, caps: 078bfbff e1d3fbff 00000000 00000010 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
CPU0: AMD Opteron(tm) Processor 248 stepping 08
Leaving ESR disabled.
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c0426000 soft=c0406000
Initializing CPU#1
Leaving ESR disabled.
Calibrating delay using timer specific routine.. 4382.47 BogoMIPS (lpj=8764958)
CPU: After generic identify, caps: 078bfbff e1d3fbff 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 078bfbff e1d3fbff 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU: After all inits, caps: 078bfbff e1d3fbff 00000000 00000010 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: AMD Opteron(tm) Processor 248 stepping 08
Total of 2 processors activated (8771.42 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=0 pin2=0
checking TSC synchronization across 2 CPUs: passed.
Brought up 2 CPUs
migration_cost=4000
checking if image is initramfs... it is
Freeing initrd memory: 1037k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=6
PCI: Using configuration type 1
ACPI: Subsystem revision 20060127
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLA._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLB._PRT]
ACPI: PCI Root Bridge [PCIB] (0000:05)
PCI: Probing PCI hardware (bus 05)
Boot video device is 0000:06:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.PBP2._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 15 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:09: ioport range 0x680-0x6ff has been reserved
pnp: 00:09: ioport range 0x295-0x296 has been reserved
pnp: 00:09: ioport range 0x778-0x77f has been reserved
pnp: 00:09: ioport range 0xb78-0xb7f has been reserved
pnp: 00:09: ioport range 0xf78-0xf7f has been reserved
PCI: Bridge: 0000:03:0a.0
  IO window: disabled.
  MEM window: fc600000-fc6fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:06.0
  IO window: a000-bfff
  MEM window: fc600000-fc8fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0a.0
  IO window: disabled.
  MEM window: fc500000-fc5fffff
  PREFETCH window: cbd00000-cbdfffff
PCI: Bridge: 0000:00:0b.0
  IO window: 9000-9fff
  MEM window: fc000000-fc4fffff
  PREFETCH window: cbc00000-cbcfffff
PCI: Bridge: 0000:05:01.0
  IO window: disabled.
  MEM window: fca00000-feafffff
  PREFETCH window: cbf00000-ebefffff
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: disabled - APM is not SMP safe.
audit: initializing netlink socket (disabled)
audit(1141037115.744:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key DD78A00BA2B8498B
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: MSI quirk detected. pci_msi_quirk set.
PCI: MSI quirk detected. pci_msi_quirk set.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
hpet_resources: 0xfec01000 is busy
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected AMD 8151 AGP Bridge rev B2
agpgart: AGP aperture is 128M @ 0xf0000000
PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
PNP: PS/2 controller doesn't have AUX irq; using default 12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:06: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
AMD8111: IDE controller at PCI slot 0000:00:07.1
AMD8111: chipset revision 3
AMD8111: not 100% native mode: will probe irqs later
AMD8111: 0000:00:07.1 (rev 03) UDMA133 controller
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
hda: TOSHIBA MK2023GAS, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: LITE-ON COMBO LTC-48161H, ATAPI CD/DVD-ROM drive
hdd: PIONEER DVD-RW DVR-106D, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 39070080 sectors (20003 MB), CHS=38760/16/63, UDMA(33)
hda: cache flushes supported
 hda: hda1
hdc: ATAPI 48X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdd: ATAPI 32X DVD-ROM DVD-R CD-R/RW drive, 2000kB Cache, UDMA(33)
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 7, 524288 bytes)
TCP established hash table entries: 131072 (order: 9, 2621440 bytes)
TCP bind hash table entries: 65536 (order: 8, 1310720 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Power state transitions not supported
powernow-k8: Power state transitions not supported
Using IPI No-Shortcut mode
ACPI wakeup devices:
PCI1 USB0 USB1 PS2K UAR1 GOLA GLAN GOLB SMBC AC97 MODM PWRB
ACPI: (supports S0 S1 S4 S5)
Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 368k
input: AT Translated Set 2 keyboard as /class/input/input0
SCSI subsystem initialized
libata version 1.20 loaded.
sata_sil 0000:03:0b.0: version 0.9
ACPI: PCI Interrupt 0000:03:0b.0[A] -> GSI 17 (level, low) -> IRQ 16
ata1: SATA max UDMA/100 cmd 0xF8862480 ctl 0xF886248A bmdma 0xF8862400 irq 16
ata2: SATA max UDMA/100 cmd 0xF88624C0 ctl 0xF88624CA bmdma 0xF8862408 irq 16
ata3: SATA max UDMA/100 cmd 0xF8862680 ctl 0xF886268A bmdma 0xF8862600 irq 16
ata4: SATA max UDMA/100 cmd 0xF88626C0 ctl 0xF88626CA bmdma 0xF8862608 irq 16
ata1: SATA link up 1.5 Gbps (SStatus 113)
ata1: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023 85:7469 86:3c01 87:4023 88:00ff
ata1: dev 0 ATA-7, max UDMA7, 312581808 sectors: LBA48
ata1: dev 0 configured for UDMA/100
scsi0 : sata_sil
ata2: SATA link up 1.5 Gbps (SStatus 113)
ata2: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023 85:7469 86:3c01 87:4023 88:00ff
ata2: dev 0 ATA-7, max UDMA7, 78161328 sectors: LBA48
ata2: dev 0 configured for UDMA/100
scsi1 : sata_sil
ata3: SATA link down (SStatus 0)
scsi2 : sata_sil
ata4: SATA link down (SStatus 0)
scsi3 : sata_sil
  Vendor: ATA       Model: SAMSUNG HD160JJ   Rev: WU10
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
 sda: sda1
sd 0:0:0:0: Attached scsi disk sda
  Vendor: ATA       Model: SAMSUNG HD040GJ   Rev: WY10
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 78161328 512-byte hdwr sectors (40019 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
SCSI device sdb: 78161328 512-byte hdwr sectors (40019 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
 sdb: sdb1
sd 1:0:0:0: Attached scsi disk sdb
Fusion MPT base driver 3.03.07
Copyright (c) 1999-2005 LSI Logic Corporation
Fusion MPT SPI Host driver 3.03.07
ACPI: PCI Interrupt 0000:01:06.0[A] -> GSI 29 (level, low) -> IRQ 17
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator}
scsi4 : ioc0: LSI53C1030, FwRev=01032700h, Ports=1, MaxQ=222, IRQ=17
  Vendor: LSILOGIC  Model: 1030          IM  Rev: 1000
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdc: 71682031 512-byte hdwr sectors (36701 MB)
sdc: Write Protect is off
sdc: Mode Sense: 03 00 00 08
SCSI device sdc: drive cache: write through
SCSI device sdc: 71682031 512-byte hdwr sectors (36701 MB)
sdc: Write Protect is off
sdc: Mode Sense: 03 00 00 08
SCSI device sdc: drive cache: write through
 sdc: sdc1 sdc2
sd 4:0:0:0: Attached scsi disk sdc
mptbase: ioc0: RAID STATUS CHANGE for VolumeID 0
mptbase: ioc0:   volume is now degraded, enabled, quiesced
mptbase: ioc0: RAID STATUS CHANGE for PhysDisk 0
mptbase: ioc0:   PhysDisk is now failed, out of sync, quiesced
mptbase: ioc0: RAID STATUS CHANGE for PhysDisk 1
mptbase: ioc0:   PhysDisk is now online, quiesced
ACPI: PCI Interrupt 0000:01:06.1[B] -> GSI 30 (level, low) -> IRQ 18
mptbase: ioc0: RAID STATUS CHANGE for VolumeID 0
mptbase: ioc0:   volume is now degraded, enabled
mptbase: ioc0: RAID STATUS CHANGE for PhysDisk 0
mptbase: ioc0:   PhysDisk is now failed, out of sync
mptbase: ioc0: RAID STATUS CHANGE for PhysDisk 1
mptbase: ioc0:   PhysDisk is now online
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator}
scsi5 : ioc1: LSI53C1030, FwRev=01032700h, Ports=1, MaxQ=222, IRQ=18
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 6 roles, 1132 types, 133 bools, 1 sens, 256 cats
security:  55 classes, 37574 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev sda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), not configured for labeling
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
tg3.c:v3.49 (Feb 2, 2006)
ACPI: PCI Interrupt 0000:02:09.0[A] -> GSI 24 (level, low) -> IRQ 19
eth0: Tigon3 [partno(BCM95703A30) rev 1002 PHY(5703)] (PCI:66MHz:64-bit)
10/100/1000BaseT Ethernet 00:e0:81:28:25:d6
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1] TSOcap[1]
eth0: dma_rwctrl[763f0000]
hw_random: AMD768 system management I/O registers at 0x5000.
hw_random hardware driver 1.0.0 loaded
ACPI: PCI Interrupt 0000:00:07.5[B] -> GSI 17 (level, low) -> IRQ 16
intel8x0_measure_ac97_clock: measured 58267 usecs
intel8x0: clocking to 48000
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 1:0:0:0: Attached scsi generic sg1 type 0
sd 4:0:0:0: Attached scsi generic sg2 type 0
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI Interrupt 0000:03:00.0[D] -> GSI 19 (level, low) -> IRQ 20
ohci_hcd 0000:03:00.0: OHCI Host Controller
ohci_hcd 0000:03:00.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:03:00.0: irq 20, io mem 0xfc8fd000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ieee1394: Initialized config rom entry `ip1394'
ACPI: PCI Interrupt 0000:03:00.1[D] -> GSI 19 (level, low) -> IRQ 20
ohci_hcd 0000:03:00.1: OHCI Host Controller
ohci_hcd 0000:03:00.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:03:00.1: irq 20, io mem 0xfc8fe000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ACPI: PCI Interrupt 0000:04:09.0[A] -> GSI 17 (level, low) -> IRQ 16
ohci_hcd 0000:04:09.0: OHCI Host Controller
ohci_hcd 0000:04:09.0: new USB bus registered, assigned bus number 3
ohci_hcd 0000:04:09.0: irq 16, io mem 0xfc6fd000
usb 2-2: new low speed USB device using ohci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
input: Logitech USB Trackball as /class/input/input1
input: USB HID v1.10 Mouse [Logitech USB Trackball] on usb-0000:03:00.1-2
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 3 ports detected
usb 2-3: new full speed USB device using ohci_hcd and address 3
usb 2-3: configuration #1 chosen from 1 choice
hub 2-3:1.0: USB hub found
hub 2-3:1.0: 4 ports detected
ACPI: PCI Interrupt 0000:03:0c.0[A] -> GSI 19 (level, low) -> IRQ 20
ACPI: PCI Interrupt 0000:04:09.1[B] -> GSI 18 (level, low) -> IRQ 21
ohci_hcd 0000:04:09.1: OHCI Host Controller
ohci_hcd 0000:04:09.1: new USB bus registered, assigned bus number 4
ohci_hcd 0000:04:09.1: irq 21, io mem 0xfc6fe000
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[20]  MMIO=[fc8ff800-fc8fffff]  Max
Packet=[2048]  IR/IT contexts=[4/8]
usb 2-3.1: new low speed USB device using ohci_hcd and address 4
usb 2-3.1: configuration #1 chosen from 1 choice
input: Microsoft Microsoft 5-Button Mouse with IntelliEye(TM) as /class/input/input2
input: USB HID v1.10 Mouse [Microsoft Microsoft 5-Button Mouse with
IntelliEye(TM)] on usb-0000:03:00.1-3.1
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:04:08.0[A] -> GSI 16 (level, low) -> IRQ 22
ohci1394: fw-host1: Unexpected PCI resource length of 1000!
ohci1394: fw-host1: OHCI-1394 1.1 (PCI): IRQ=[22]  MMIO=[fc6fc000-fc6fc7ff]  Max
Packet=[65536]  IR/IT contexts=[4/4]
ohci1394: fw-host1: Serial EEPROM has suspicious values, attempting to setting
max_packet_size to 512 bytes
ACPI: PCI Interrupt 0000:04:09.2[C] -> GSI 19 (level, low) -> IRQ 20
ehci_hcd 0000:04:09.2: EHCI Host Controller
ehci_hcd 0000:04:09.2: new USB bus registered, assigned bus number 5
ehci_hcd 0000:04:09.2: irq 20, io mem 0xfc6ffc00
ehci_hcd 0000:04:09.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 5 ports detected
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00e0810000300ee2]
Non-volatile memory driver v1.2
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378, irq 7 [PCSPP]
parport0: Printer, Brother HL-5040 series
lp0: using parport0 (interrupt-driven).
lp0: console ready
ieee1394: Host added: ID:BUS[1-00:1023]  GUID[00004c0100000000]
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
EXT3 FS on sda1, internal journal
audit(1141058750.351:2): avc:  denied  { write } for  pid=1577 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058750.567:3): avc:  denied  { write } for  pid=1582 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sdc2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sdc2, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sdb1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sdb1, type ext3), uses xattr
audit(1141058750.703:4): avc:  denied  { write } for  pid=1587 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058751.315:5): avc:  denied  { write } for  pid=1636 comm="swapon"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:fsadm_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058751.315:6): avc:  denied  { write } for  pid=1636 comm="swapon"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:fsadm_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
Adding 2048276k swap on /dev/sdc1.  Priority:-1 extents:1 across:2048276k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8192 buckets, 65536 max) - 232 bytes per conntrack
ADDRCONF(NETDEV_UP): eth0: link is not ready
tg3: eth0: Link is up at 1000 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.8
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.7
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: negotiated back to compatibility mode because user-space forgot
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
eth0: no IPv6 routers present
cdrom: This disc doesn't have any tracks I recognize!
ppdev0: registered pardevice
ppdev0: negotiated back to compatibility mode because user-space forgot
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
security:  3 users, 6 roles, 1135 types, 133 bools, 1 sens, 256 cats
security:  55 classes, 37676 rules
security:  invalidating context system_u:object_r:semodule_exec_t:s0
cdrom: This disc doesn't have any tracks I recognize!
</snip>

It's a different issue, but the LSI SCSI BIOS utility does not report the drive
failure that the linux kernel does. . .


Comment 3 Bill Nottingham 2006-02-27 17:59:25 EST
rpm -q selinux-policy-targeted, please.

As for messages, 'dmesg | grep audit' would be useful, as well as the output of
'ausearch -i'.
Comment 4 kmpalmer@netzero.net 2006-02-27 18:13:08 EST
Sorry for the overload.

1) 
audit: initializing netlink socket (disabled)
audit(1141037115.744:1): initialized
audit(1141058750.351:2): avc:  denied  { write } for  pid=1577 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058750.567:3): avc:  denied  { write } for  pid=1582 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058750.703:4): avc:  denied  { write } for  pid=1587 comm="mount"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058751.315:5): avc:  denied  { write } for  pid=1636 comm="swapon"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:fsadm_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file
audit(1141058751.315:6): avc:  denied  { write } for  pid=1636 comm="swapon"
name="blkid.tab" dev=sda1 ino=17466465 scontext=system_u:system_r:fsadm_t:s0
tcontext=user_u:object_r:etc_t:s0 tclass=file


2)
selinux-policy-targeted-2.2.21-7

3) output is excessive so I ran "ausearch -i | grep guile".  Still too much, but
it's repetitive.  Here's a sample:

<snip>
type=SYSCALL msg=audit(02/27/2006 16:07:46.671:1027) : arch=i386
syscall=mprotect success=no exit=-13(Permission denied) a0=bf881000 a1=1000
a2=1000007 a3=fffff000 items=0 pid=32677 auid=kelsey uid=kelsey gid=kelsey
euid=kelsey suid=kelsey fsuid=kelsey egid=kelsey sgid=kelsey fsgid=kelsey
comm=guile exe=/usr/bin/guile
type=AVC msg=audit(02/27/2006 16:07:46.671:1027) : avc:  denied  { execstack }
for  pid=32677 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
type=SYSCALL msg=audit(02/27/2006 16:07:46.671:1028) : arch=i386
syscall=mprotect success=no exit=-13(Permission denied) a0=bf881000 a1=1000
a2=1000007 a3=fffff000 items=0 pid=32677 auid=kelsey uid=kelsey gid=kelsey
euid=kelsey suid=kelsey fsuid=kelsey egid=kelsey sgid=kelsey fsgid=kelsey
comm=guile exe=/usr/bin/guile
type=AVC msg=audit(02/27/2006 16:07:46.671:1028) : avc:  denied  { execstack }
for  pid=32677 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
</snip>
Comment 5 Bill Nottingham 2006-02-27 18:17:21 EST
Hm, running the same code, I don't see this - I have the same SELinux policy as
well.
Comment 6 Bill Nottingham 2006-02-27 18:22:10 EST
Ah, you have allow_execstack off. I can look at g-wrap for this, but in the
meantime, you'll need that on.
Comment 7 kmpalmer@netzero.net 2006-02-27 19:06:57 EST
Thanks for the quick response.  After a reboot, gnucash launched.  dmesg had the
same output.  Here's then tail output of "ausearch -i | grep guile", which is
different than before:

<snip>
type=AVC msg=audit(02/27/2006 16:25:30.516:1062) : avc:  denied  { execstack }
for  pid=409 comm=guile scontext=user_u:system_r:unconfined_t:s0-s0:c0.c255
tcontext=user_u:system_r:unconfined_t:s0-s0:c0.c255 tclass=process
type=SYSCALL msg=audit(02/27/2006 17:35:22.446:32) : arch=i386 syscall=mprotect
success=yes exit=0 a0=bf9aa000 a1=1000 a2=1000007 a3=fffff000 items=0 pid=2976
auid=kelsey uid=kelsey gid=kelsey euid=kelsey suid=kelsey fsuid=kelsey
egid=kelsey sgid=kelsey fsgid=kelsey comm=guile exe=/usr/bin/guile
type=AVC msg=audit(02/27/2006 17:35:22.446:32) : avc:  granted  { execmem } for
 pid=2976 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
type=AVC msg=audit(02/27/2006 17:35:22.446:32) : avc:  granted  { execstack }
for  pid=2976 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
type=SYSCALL msg=audit(02/27/2006 17:35:38.482:33) : arch=i386 syscall=mprotect
success=yes exit=0 a0=bfa32000 a1=1000 a2=1000007 a3=fffff000 items=0 pid=3001
auid=kelsey uid=kelsey gid=kelsey euid=kelsey suid=kelsey fsuid=kelsey
egid=kelsey sgid=kelsey fsgid=kelsey comm=guile exe=/usr/bin/guile
type=AVC msg=audit(02/27/2006 17:35:38.482:33) : avc:  granted  { execmem } for
 pid=3001 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
type=AVC msg=audit(02/27/2006 17:35:38.482:33) : avc:  granted  { execstack }
for  pid=3001 comm=guile scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
</snip>
Comment 8 Bill Nottingham 2006-02-27 22:06:19 EST
Fixed in 1.9.6-2.

Note You need to log in before you can comment on or make changes to this bug.